Bug 27998 - Replace obsolete title-string sorting: Serials templates
Summary: Replace obsolete title-string sorting: Serials templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-19 11:58 UTC by Owen Leonard
Modified: 2021-04-19 09:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27998: Replace obsolete title-string sorting: Serials templates (13.16 KB, patch)
2021-03-19 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27998: Replace obsolete title-string sorting: Serials templates (13.18 KB, patch)
2021-03-23 15:37 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27998: (follow-up) Address missing instanced (3.99 KB, patch)
2021-03-25 12:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27998: Replace obsolete title-string sorting: Serials templates (13.26 KB, patch)
2021-03-27 15:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27998: (follow-up) Address missing instances (4.05 KB, patch)
2021-03-27 15:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-19 11:58:46 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/includes/mana/mana-subscription-search-result.inc
  intranet-tmpl/prog/en/modules/serials/claims.tt
  intranet-tmpl/prog/en/modules/serials/serials-collection.tt
  intranet-tmpl/prog/en/modules/serials/serials-search.tt
  intranet-tmpl/prog/en/modules/serials/subscription-detail.tt
Comment 1 Owen Leonard 2021-03-19 16:10:25 UTC
Created attachment 118551 [details] [review]
Bug 27998: Replace obsolete title-string sorting: Serials templates

This patch modifies several serials  templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- With the Mana service configured in system preferences, go to Serials
  -> New subscription and add a subscription for a bibliographic record
  which will match titles in Mana. In the Mana search results, the "Last
  import" column should sort correctly.
- Serials -> Claims
- Serials -> Search
- Serials -> Subscription details
  - The affected table is "Acquisition details," so your subscription
    must have orders associated with it (I eyeballed this change, so
    could use extra help testing this area).
- Serials -> Subscription details -> Serial collection
Comment 2 Amit Gupta 2021-03-23 15:37:20 UTC
Created attachment 118670 [details] [review]
Bug 27998: Replace obsolete title-string sorting: Serials templates

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- With the Mana service configured in system preferences, go to Serials
  -> New subscription and add a subscription for a bibliographic record
  which will match titles in Mana. In the Mana search results, the "Last
  import" column should sort correctly.
- Serials -> Claims
- Serials -> Search
- Serials -> Subscription details
  - The affected table is "Acquisition details," so your subscription
    must have orders associated with it (I eyeballed this change, so
    could use extra help testing this area).
- Serials -> Subscription details -> Serial collection
Comment 3 Owen Leonard 2021-03-25 12:41:14 UTC
Created attachment 118790 [details] [review]
Bug 27998: (follow-up) Address missing instanced

Remove title-string option from dataTable configurations.
Comment 4 Katrin Fischer 2021-03-27 15:12:10 UTC
Created attachment 118900 [details] [review]
Bug 27998: Replace obsolete title-string sorting: Serials templates

This patch modifies several serials  templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- With the Mana service configured in system preferences, go to Serials
  -> New subscription and add a subscription for a bibliographic record
  which will match titles in Mana. In the Mana search results, the "Last
  import" column should sort correctly.
- Serials -> Claims
- Serials -> Search
- Serials -> Subscription details
  - The affected table is "Acquisition details," so your subscription
    must have orders associated with it (I eyeballed this change, so
    could use extra help testing this area).
- Serials -> Subscription details -> Serial collection

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-03-27 15:12:13 UTC
Created attachment 118901 [details] [review]
Bug 27998: (follow-up) Address missing instances

Remove title-string option from dataTable configurations.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-06 13:58:56 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-19 09:30:28 UTC
Enhancement not pushed to 20.11.x